package kr.co.hanwha.hifive.screen.alarm;

import android.support.annotation.NonNull;

import kr.co.hanwha.hifive.base.BasePresenter;
import kr.co.hanwha.hifive.base.BaseView;
import kr.co.hanwha.hifive.data.model.AlarmData;

/**
 * 알림 내역(목록) Interface
 * <p>
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public interface AlarmContract {
    interface View extends BaseView<Presenter> {
        void refreshData();

        void setRefreshing(boolean refreshing);
    }

    interface Presenter extends BasePresenter {
        /**
         * Initialize data
         */
        void initData(boolean needLoading);

        /**
         * Load more
         */
        void loadData(boolean needLoading);

        /**
         * ...
         */
        void loadMore();

        /**
         * Set Notification Status
         */
        void setNotificationOpen(@NonNull int index, @NonNull AlarmData data);

    }
}
